## Edges

You can create a simple app with the following code:

```Python 
from tensorpc.flow import mui, three, plus, appctx, mark_create_layout, flow
class App:
    
    class Config(plus.AppInMemory.Config):
        is_horizontal = False
        height = "800px"

    @mark_create_layout
    def my_layout(self):
        nodedata_with_custom_edge = flow.NodeData(label="Input Node With Custom Edge", sourceEdgeOverrides={
            "animated": True,
            "style": {
                "stroke": "red",
                "strokeWidth": 2
            }
        })
        nodes = [
            flow.Node(id="1", type="input", data=nodedata_with_custom_edge, position=flow.XYPosition(0, 0)),
            flow.Node(id="2", type="input", data=flow.NodeData(label="Input Node"), position=flow.XYPosition(200, 0)),

            flow.Node(id="3", data=flow.NodeData(label="node 2"), position=flow.XYPosition(100, 150)),
        ]
        graph = flow.Flow(nodes, [], [
            flow.MiniMap(),
            flow.Controls(),
            flow.Background()
        ])
        return mui.HBox([
            graph,
        ]).prop(width="100%", height="100%", overflow="hidden")
```

